%{?nodejs_find_provides_and_requires}

%global packagename array-index
%global enable_tests 1

Name:		nodejs-array-index
Version:	1.0.0
Release:	4%{?dist}
Summary:	Invoke getter/setter functions on array-like objects

License:	MIT
URL:		https://github.com/TooTallNate/array-index.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	grep
BuildRequires:	npm(debug)
BuildRequires:	npm(es6-symbol)
%endif

%description
Invoke getter/setter functions on array-like objects


%prep
%setup -q -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md History.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 09 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Update to upstream 1.0.0 release

* Fri Dec 18 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-4
- Use grep from the PATH, because grep is not in the bindir on EL6

* Thu Dec 17 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-3
- Add build dependency on grep

* Wed Dec 16 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-2
- Initial packaging
